For the complete documentation index, see llms.txt. This page is also available as Markdown.

Countries

Countries

Retrieve All Countries in Nexus

get
/v1/countries

Returns all countries available on the Nexus network, along with key reference data for sending payments to those countries, such as minimum and maximum transaction amounts per currency, currency names and decimal places, requirements for message elements, the country level SLA with maximum execution timeouts as ISO 8601 durations, and the supported instruction priorities. Where a country has more than one IPS, the sla carries the most relaxed timeout across those IPSs and supportedInstructionPriorities carries the union of priorities across those IPSs. Used by: Payment Service Providers (PSPs)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

A list of countries with payment details.

application/json
get/v1/countries

Retrieve a Single Country

get
/v1/countries/{countryCode}

Returns a specified country based on the 2 letter countryCode provided, along with key reference data for sending payments to that country, such as minimum and maximum transaction amounts per currency, currency names and decimal places, requirements for message elements, the country level SLA with maximum execution timeouts as ISO 8601 durations, and the supported instruction priorities. Used by: Payment Service Providers (PSPs)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
countryCodestringRequired

The ISO 3166 alpha-2 country code

Example: ID
Responses
200

Country information.

application/json

Reference data for a country on the Nexus network, including per currency limits, required message elements, the country level SLA and supported instruction priorities.

countryIdintegerRequired

ISO 3166 numeric country code.

Example: 344
countryCodestringRequired

ISO 3166 alpha 2 country code.

Example: HK
namestringRequiredExample: Hong Kong
get/v1/countries/{countryCode}

Last updated